/*******************************************************************************
 * @note      Copyright (C) 2025 Shanghai Panchip Microelectronics Co., Ltd.
 *            All rights reserved.
 * @file      platform.h
 * @brief     Source file of PAN271x SoC platform init flow
*******************************************************************************/
#include "pan271x.h"
#include "pan_soc.h"

void SOC_SystemClockInit(void)
{

}

void SOC_PlatformInit(void)
{
    // Init essential system clocks
    SOC_SystemClockInit();

#if CONFIG_STARTUP_LONG_DELAY
    /* Set a long delay for debugging use */
    SYS_delay_10nop(1000000);
    SYS_delay_10nop(1000000);
    SYS_delay_10nop(1000000);
    SYS_delay_10nop(1000000);
#endif
}
